import { createStore } from 'vuex'

export default createStore({
  state() {
    return {
      notes: [{ id: 1, text: 'A note from the Vuex store!' }]
    }
  },
  mutations: {
    FETCH_NOTES(state) {
      state.notes = [
        {
          id: 1,
          text: 'Note loaded via mutation from Vuex!'
        }
      ]
    },
    ADD_NOTE(state, note) {
      state.notes.push(note)
    }
  },
  actions: {}
})
